﻿namespace MapGenerator
{
	public sealed class Room
	{
		private readonly int left;
		private readonly int top;
		private readonly int width;
		private readonly int height;

		public int Left { get { return this.left; } }
		public int Top { get { return this.top; } }
		public int Width { get { return this.width; } }
		public int Height { get { return this.height; } }
		public int Right { get { return this.left + this.width - 1; } }
		public int Bottom { get { return this.top + this.height - 1; } }

		public Room(int left, int top, int width, int height)
		{
			this.left = left;
			this.top = top;
			this.width = width;
			this.height = height;
		}
	}
}
